<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Get Method (IEdmData)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmData Interface : Get Method (IEdmData)

Visual Basic
C#
C++/CLI

eKey
  ID of property to retrieve as defined in EdmDataPropertyType

Gets a data object property value.

# Syntax

Visual Basic |
--- | ---

    Function Get( _
       ByVal eKey As EdmDataPropertyType _
    ) As System.Object

C# |
--- | ---

    System.object Get(
       EdmDataPropertyType eKey
    )

C++/CLI |
--- | ---

    System.Object^ Get(
    &   EdmDataPropertyType eKey
    )

#### Parameters

eKey
  ID of property to retrieve as defined in EdmDataPropertyType

#### Return Value

Property value or empty if not found

# Example

See the IEdmData examples.

# Remarks

C++ programmers must remember to intialize the VARIANT struct for poValue with a call to VariantInit before calling the routine and release the returned data with a call to VariantClear.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmData Interface
IEdmData Members
IEdmData::Set Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2